curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client": {
"authentication": {
"clientSecretBasic": {},
"clientSecretPost": {},
"none": {},
"privateKeyJwt": {
"publicJwks": "aSDinaTvuI8gbWludGxpZnk="
}
},
"displayName": "<string>",
"redirectUris": [
"<string>"
]
},
"clientId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients/update"
payload = {
"client": {
"authentication": {
"clientSecretBasic": {},
"clientSecretPost": {},
"none": {},
"privateKeyJwt": { "publicJwks": "aSDinaTvuI8gbWludGxpZnk=" }
},
"displayName": "<string>",
"redirectUris": ["<string>"]
},
"clientId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client: {
authentication: {
clientSecretBasic: {},
clientSecretPost: {},
none: {},
privateKeyJwt: {publicJwks: 'aSDinaTvuI8gbWludGxpZnk='}
},
displayName: '<string>',
redirectUris: ['<string>']
},
clientId: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client": {
"appId": "<string>",
"authentication": {
"clientSecretBasic": {},
"clientSecretPost": {},
"none": {},
"privateKeyJwt": {
"publicJwks": "aSDinaTvuI8gbWludGxpZnk="
}
},
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"redirectUris": [
"<string>"
],
"ssoApplicationId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update Client
UpdateClient replaces mutable client configuration. The authentication method and generated ID are immutable; private-key JWKS may rotate and a legacy PKCE policy may tighten to required.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Application that owns the client.
SSO application that governs the client.
Body
SSOApplicationServiceUpdateClientRequest replaces display name, redirect URIs, private-key JWKS, or tightens legacy PKCE to required.
Response
SSOApplicationServiceUpdateClientResponse contains the updated client.
SSOApplicationServiceUpdateClientResponse contains the updated client.
SSOApplicationOIDCClient is an App-owned OAuth client minted by C1.
Show child attributes
Show child attributes
Was this page helpful?